java: 错误: 不支持发行版本 14

x33g5p2x  于11个月前 转载在 Java  
字(0.2k)|赞(0)|评价(0)|浏览(155)

编译Spring boot工程,出现错误:

java: 错误: 不支持发行版本 14

出现这种错误的原因,都是项目或者模块中的JDK版本不匹配造成的。

选修改项目的Java编译器的jdk版本,如图所示:

注意:如果是多模块,把每个模块的jdk版本也一并修改了

进行模块的jdk的版本

打开修改项目JDK版本和模块JDK版本的设置页面

修改模块的JDK版本

修改项目的JDK版本

相关文章

热门文章

更多